//*******************************************************
//  ***  LCD_ROUTINES HEADER FILE ******** 		
//*******************************************************
//Controller		: ATmega32 (Clock: 16 Mhz)
//Compiler			: AtmelStudio 7
//Project Version	: 2.0
//Author			: CC Dharmani, Pune (India)
//					  www.dharmanitech.com
//Date				: June 2018
//*******************************************************

/*****************************************
 LCD interface with controller port pins:

  Data - PORTC - pin4 to pin7
  RS   - PC2
  EN   - PC3
  RW   - GND
******************************************/

#ifndef _LCD_4BIT_H_
#define _LCD_4BIT_H_

#define LCD_PORT	PORTC

#define ENABLE_LCD		PORTC |= 0x08 
#define DISABLE_LCD     PORTC &= ~0x08

#define SET_LCD_DATA    PORTC |= 0x04
#define SET_LCD_CMD     PORTC &= ~0x04


// *** LCD Functions *** //
void wait(void);
void LCD_init (void);
void LCD_Write4bits (uint8_t);
void LCD_WriteCommand (uint8_t CMD);
void LCD_WriteData (uint8_t Data);
void LCD_DisplayString_F (uint8_t row, uint8_t column, const char *string);
void LCD_DisplayString (uint8_t row, uint8_t column, char *string);
void LCD_Cursor (uint8_t row, uint8_t column);


#endif
