//*******************************************************
//  *******  RTC_ROUTINES HEADER FILE ******** 		
//*******************************************************
//Controller		: ATmega32 (Clock: 16 Mhz)
//Compiler			: AtmelStudio 7
//Project Version	: 2.0
//Author			: CC Dharmani, Pune (India)
//					  www.dharmanitech.com
//Date				: June 2018
//*******************************************************

#ifndef _RTC_ROUTINES_H_
#define _RTC_ROUTINES_H_

#include "i2c_routines.h"

uint8_t rtc_register[7];

#define		SECONDS			rtc_register[0]
#define		MINUTES			rtc_register[1]
#define		HOURS			rtc_register[2]
#define		DAY    			rtc_register[3]
#define		DATE   			rtc_register[4]
#define		MONTH  			rtc_register[5]
#define		YEAR   			rtc_register[6]

uint8_t RTC_setStartAddress(void);
uint8_t RTC_read(void);
uint8_t RTC_writeTime(void);
uint8_t RTC_writeDate(void);
unsigned char getDateTime_FAT(void);

#endif
	
