//**************************************************************
// ****** FUNCTIONS FOR SPI COMMUNICATION *******
//**************************************************************
//Controller		: ATmega32 (Clock: 16 Mhz)
//Compiler			: AtmelStudio 7
//Project Version	: 2.0
//Author			: CC Dharmani, Pune (India)
//					  www.dharmanitech.com
//Date				: June 2018
//**************************************************************

#ifndef F_CPU
#define F_CPU 16000000UL		//Clock freq 16MHz
#endif

#include <avr/io.h>
#include "SPI_routines.h"

//SPI initialize for SD card
//Master Mode, MSB first, CPOL=0 (SCK idle low), CPHA=0 (SCK phase low)
//Clock Prescalar: 64
//Clock rate: 250Khz (@16MHz F_CPU)
void spiInit(void)
{
	SPCR = 0x52; 
	SPSR = 0x00;
}

uint8_t spiRxTx (uint8_t data)
{
	// Start transmission
	SPDR = data;

	// Wait for transmission complete
	while(!(SPSR & (1<<SPIF)));
	data = SPDR;

	return(data);
}


//******** END ********* 
