//**************************************************************
// ****** FUNCTIONS FOR SPI COMMUNICATION *******
//**************************************************************
//Controller		: ATmega32 (Clock: 16 Mhz)
//Compiler			: AtmelStudio 7
//Project Version	: 2.0
//Author			: CC Dharmani, Pune (India)
//					  www.dharmanitech.com
//Date				: June 2018
//**************************************************************

#ifndef _SPI_ROUTINES_H_
#define _SPI_ROUTINES_H_

//Set SPI Low speed 
//Prescaler: 64 with SPI2x bit Low
//Clock Speed: F_CPU/64 (=250KHz @16MHz F_CPU)

#define SPI_LOW_SPEED		SPCR &= ~0x03; SPCR |= 0x02; SPSR &= ~(1 << SPI2X)		


//Set SPI high speed 
//Prescaler: 4 with SPI2x bit High
//Clock Speed: F_CPU/2 (=8MHz @16MHz F_CPU)

#define SPI_HIGH_SPEED		SPCR &= ~0x03; SPSR |= (1 << SPI2X)


void spiInit(void);
uint8_t spiRxTx(uint8_t);

#endif
