//**************************************************************
//   ******** DS1621 - Header File  *******
//**************************************************************
//Controller		: ATmega32 (Clock: 16 Mhz)
//Compiler			: AtmelStudio 7
//Project Version	: 2.0
//Author			: CC Dharmani, Pune (India)
//					  www.dharmanitech.com
//Date				: June 2018
//**************************************************************

#ifndef _DS1621_H_
#define _DS1621_H_

#include "i2c_routines.h"

#define  DS1621_W			0x90
#define  DS1621_R			0x91

#define	 START_CONVERT		0xEE
#define	 STOP_CONVERT		0x22
#define	 READ_TEMP			0xAA
#define	 READ_COUNTER		0xA8
#define	 READ_SLOPE			0xA9
#define  ACCESS_CONFIG		0xAC

void ds1621_init (void);
void ds1621_sendCommand (uint8_t);
uint8_t ds1621_readValue (uint8_t);
float getTemperature (void);

#endif