//*******************************************************
//   ***  I2C_ROUTINES HEADER FILE ******** 		
//*******************************************************
//Controller		: ATmega32 (Clock: 16 Mhz)
//Compiler			: AtmelStudio 7
//Project Version	: 2.0
//Author			: CC Dharmani, Pune (India)
//					  www.dharmanitech.com
//Date				: June 2018
//*******************************************************

#ifndef _I2C_ROUTINES_H_
#define _I2C_ROUTINES_H_


#define	 START				0x08
#define  REPEAT_START		0x10
#define  MT_SLA_ACK			0x18
#define  MT_SLA_NACK		0x20
#define  MT_DATA_ACK		0x28
#define  MT_DATA_NACK		0x30
#define  MR_SLA_ACK			0x40
#define  MR_SLA_NACK		0x48
#define  MR_DATA_ACK		0x50
#define  MR_DATA_NACK		0x58
#define  ARB_LOST			0x38

#define  ERROR_CODE			0x7e
	
#define  DS1307_W			0xd0
#define  DS1307_R			0xd1

void i2cInit(void);
uint8_t i2c_start(void);
uint8_t i2c_repeatStart(void);
uint8_t i2c_sendAddress(uint8_t);
uint8_t i2c_sendData(uint8_t);
uint8_t i2c_receiveData_ACK(void);
uint8_t i2c_receiveData_NACK(void);
void i2c_stop(void);


#endif
	
